Bug 365171 - Review Request: extrema - Extrema is a powerful visualization and data analysis tool
Review Request: extrema - Extrema is a powerful visualization and data analys...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-03 09:42 EDT by Terje Røsten
Modified: 2010-07-09 14:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 14:45:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adel.gadllah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-11-03 09:42:31 EDT
Spec URL: http://terjeros.fedorapeople.org/extrema/extrema.spec
SRPM URL: http://terjeros.fedorapeople.org/extrema/extrema-4.2.10-1.fc7.src.rpm
Description:
Extrema is a powerful visualization and data analysis tool that
enables researchers to quickly distill their large, complex data sets
into meaningful information. Its flexibility, sophistication, and
power allow you to easily develop your own commands and create highly
customized graphs.
Comment 1 Adel Gadllah 2007-11-04 07:06:30 EST
Spec file looks ok.
-------
md5sum is ok (3b6911525c1824ab50f82b6e72b05a19)
-------
Package builds fine in mock (f7/x86_64). 
-------
rpmlint output:
rpmlint extrema-help-4.2.10-1.fc7.x86_64.rpm
extrema-help.x86_64: W: no-documentation
(other packages none). (=ok)
-------
Notes:
License:   GPLv2
Thats wrong the correct License is GPLv2+ :
"
Copyright (C) 2005 Joseph L. Chuma, TRIUMF

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version."
(notice the 'any later version')
------
BuildRequires: desktop-file-utils /usr/bin/convert
Please avoid file requires when possible, it causes yum to download the
filelist. Use ImageMagick instead of /usr/bin/convert/
------
The package runs fine, even thought it complains about missing help files on
startup but I think thats ok.
------
The package is under development in the menu, but it isn't really a development
tool.
------
==================
Please comment on/fix the above issues and I will approve this package.
Comment 2 Terje Røsten 2007-11-04 08:12:47 EST
> Notes:
> License:   GPLv2
> Thats wrong the correct License is GPLv2+ :

Fixed.

> The package is under development in the menu, but it isn't 
> really a development tool.

Moved to graphics.


> Use ImageMagick instead of /usr/bin/convert/

Fixed.

> The package runs fine, even thought it complains about missing help files on
> startup but I think thats ok.

I agree.

SPEC: http://terjeros.fedorapeople.org/extrema/extrema.spec
SRPM: http://terjeros.fedorapeople.org/extrema/extrema-4.2.10-2.fc7.src.rpm

Comment 3 Adel Gadllah 2007-11-04 08:17:32 EST
=> Approved
Comment 4 Terje Røsten 2007-11-04 08:27:48 EST
> => Approved

Thanks!


New Package CVS Request
=======================
Package Name: extrema
Short Description:  Extrema is a powerful visualization and data analysis tool
Owners: terjeros
Branches: FC-6 F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-04 14:25:53 EST
cvs done.
Comment 6 Lubomir Rintel 2010-07-09 05:14:53 EDT
Package Change Request
======================
Package Name: extrema
New Branches: EL-6
Owners: lkundrak

The Fedora maintainer (terjeros) was contacted and replied that he is not willing to maintain the package in EPEL ath the time.
Comment 7 Kevin Fenzi 2010-07-09 14:09:55 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.